=== qt4/common/CMakeLists.txt ===
set(qtc_qt_common_SRCS
  common.cpp
  config_file.cpp)
set(qtc_qt_common_HDRS
  common.h
  config_file.h)
translate_add_sources(${qtc_qt_common_SRCS} ${qtc_qt_common_HDRS})
