=== debian/changelog ===
qtcurve (1.9-8) unstable; urgency=medium

  * Team upload.
  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Add the configuration for the CI on salsa.
  * Pass -DCMAKE_POLICY_VERSION_MINIMUM=3.5 to cmake so it builds with cmake 4
    (hoping that everything works properly). (Closes: #1113449)
  * Switch the transitional pkg-config build dependency to pkgconf.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Oct 2025 06:38:15 +0200

qtcurve (1.9-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Get rid of kdelibs4support dependency. (Closes: #1099140)

 -- Bastian Germann <bage@debian.org>  Mon, 03 Mar 2025 17:00:05 +0100

qtcurve (1.9-7) unstable; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972154).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2020 15:09:31 +0300

qtcurve (1.9-6) unstable; urgency=medium

  * Team upload.
  * Update Homepage to https://invent.kde.org/system/qtcurve.
  * Explicitly add more required build dependencies: gettext,
    libkf5guiaddons-dev, libkf5iconthemes-dev, libkf5style-dev, and
    libkf5windowsystem-dev. (Closes: #962739)
  * Do not install the TODO.md file as documentation, as it is not useful for
    users.
  * Remove the kde-style-qtcurve-qt4 suggest from kde-style-qtcurve-qt5, as
    it does not exist anymore.
  * Remove all the ${misc:Pre-Depends} substvar: other than empty, they were
    used in Depends fields.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Jun 2020 10:06:28 +0200

qtcurve (1.9-5) unstable; urgency=medium

  [ Sven Mueller ]
  * Add build dependency on libx11-xcb-dev. (Closes: #952244)

  [ Boris Pek ]
  * Update debian/control:
    - bump Standards-Version to 4.5.0 (was 4.4.1): no changes required
    - replace build dependency from debhelper (>= 12~) to
      debhelper-compat (= 12)
    - add "Rules-Requires-Root: no"
  * Update years in debian/copyright.
  * Delete debian/compat.

 -- Boris Pek <tehnick@debian.org>  Wed, 26 Feb 2020 02:56:14 +0300

qtcurve (1.9-4) unstable; urgency=medium

  * Team upload.
  * Drop Qt4 support (Closes: #875149)

 -- Scott Kitterman <scott@kitterman.com>  Sun, 25 Aug 2019 12:23:45 -0400

qtcurve (1.9-3) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Backport upstream patch to fix build with GCC 9.x. (Closes: #925813)

  [ Boris Pek ]
  * Update debian/control:
   - bump debhelper version to 12~ (was 11~); update debian/compat
   - bump Standards-Version to 4.4.0 (was 4.2.1): no changes required
  * Simplify debian/rules:
    - delete --list-missing option from dh
    - stop adding of CPPFLAGS into CXXFLAGS using of DEB_CXXFLAGS_MAINT_APPEND
      as workaround for cmake because debhelper already does this since version
      9.20120417
  * Update debian/upstream/signing-key.asc:
    fix lintian note public-upstream-key-not-minimal.
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Update debian/upstream/metadata.
  * Delete debian/source/options.
  * Update years in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Thu, 25 Jul 2019 03:08:47 +0300

qtcurve (1.9-2) unstable; urgency=medium

  * Move package to unstable: no changes required.

 -- Boris Pek <tehnick@debian.org>  Sun, 23 Sep 2018 21:22:55 +0300

qtcurve (1.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump debhelper version to 11~ (was 9); update debian/compat.
  * Bump Standards-Version to 4.2.1 (was 4.2.0): no changes required.
  * Delete all debian/patches/*: some of them already in upstream and others
    are not required anymore.
  * Rewrite debian/watch: upstream has finally uploaded release tarball to
    download.kde.org, so we may use it instead of git repo on cgit.kde.org.
  * Simplify debian/rules: delete --parallel option from dh.
  * Set "Section: libs" for binary package libqtcurve-utils2.
  * Add debian/upstream/signing-key.asc.
  * Add debian/upstream/metadata.
  * Update debian/copyright:
    - update Format field: http --> https
    - update Source field: download.kde.org is used now

 -- Boris Pek <tehnick@debian.org>  Fri, 21 Sep 2018 01:46:19 +0300

qtcurve (1.8.18+git20160320-3d8622c-6) unstable; urgency=medium

  * Update debian/control:
    - bump Standards-Version to 4.2.0 (was 4.0.0)
    - update Vcs-* fields: moved from Alioth to Salsa
    - replace build dependency from kio-dev to libkf5kio-dev
      [Thanks to Pino Toscano] (Closes: #885393)
  * Add patch fix-random-hangs-and-crashes-of-Qt-based-applications:
    fixes random hangs of Qt5-based applications and crashes of Qt4-based
    applications after moving of mouse pointer over the menu bar.
    [Thanks to Andrey Rahmatullin] (Closes: #905327, #905354)
  * Update debian/gtk2-engines-qtcurve.lintian-overrides.
  * Delete get-orig-source section from debian/rules.
  * Update years and emails in debian/copyright.

 -- Boris Pek <tehnick@debian.org>  Fri, 17 Aug 2018 02:27:09 +0300
