=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/qtcurve/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
