## qtcurve 1.9+p24.04+vstable+git20250901.0557

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20250901.0557-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Sep 2025 05:57:55 +0000

qtcurve (1.9-7) noble; urgency=medium

  * Team upload.
  * Backport upstream patch to fix build with Qt 5.15 (closes: #972154).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2020 15:09:31 +0300
