## qtcurve 1.9+p24.04+vstable+git20250908.0902

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20250908.0902-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Sep 2025 09:02:19 +0000
