=== debian/control ===
--- 
+++ 
@@ -1,7 +1,6 @@
 Source: qtcurve
 Section: kde
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Boris Pek <tehnick@debian.org>
 Build-Depends: cmake,
                debhelper-compat (= 12),
@@ -15,6 +14,7 @@
                libkf5guiaddons-dev,
                libkf5i18n-dev,
                libkf5iconthemes-dev,
+               libkf5kdelibs4support-dev,
                libkf5kio-dev,
                libkf5style-dev,
                libkf5widgetsaddons-dev,
@@ -25,21 +25,21 @@
                libx11-dev,
                libx11-xcb-dev,
                libxcb1-dev,
-               pkgconf,
+               pkg-config,
                pkg-kde-tools,
                qtbase5-dev,
                qtbase5-private-dev
 Homepage: https://invent.kde.org/system/qtcurve
-Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/qtcurve.git
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/qtcurve
-Standards-Version: 4.7.2
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
+Vcs-Git: https://invent.kde.org/neon/extras/qtcurve.git
+Vcs-Browser: https://invent.kde.org/neon/extras/qtcurve
+Maintainer: Neon CI <neon@kde.org>
 
 Package: gtk2-engines-qtcurve
 Section: gnome
 Architecture: any
-Depends: ${misc:Depends},
-         ${perl:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${perl:Depends}, ${shlibs:Depends}
 Recommends: kde-style-qtcurve-qt5
 Multi-Arch: same
 Description: QtCurve widget style for applications based on GTK+ 2.x
