## qtcurve 1.9+p24.04+vstable+git20251231.0533

=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20251231.0533-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 05:33:16 +0000
