## qtcurve 1.9+p24.04+vstable+git20260113.0402

=== CMakeLists.txt ===
--- 
+++ 
@@ -253,6 +253,3 @@
 endif()
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)
