=== debian/changelog ===
qtcurve (1.9+p24.04+vstable+git20260113.0402-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 04:02:52 +0000
