## qtcurve 1.9.1+rb2

=== debian/changelog ===
qtcurve (1.9.1+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>  Thu, 28 Jan 2021 20:03:28 +0800
